Node.js

The AWS CDK uses Node.js (>= 10.13.0, except for versions 13.0.0 - 13.6.0). A version in active long-term support (14.x at this writing) is recommended.

  • To install Node.js visit the node.js website.

    • Windows: if you have an old version of Node.js installed on your system, it may be required to run the .msi installation as Administrator.
  • If you already have Node.js installed, verify that you have a compatible version:

    node --version
    

    Output should be >= 10.13.0:

    v10.3.0